'' =================================================================================================
''
''   File....... jw_595_ez_demo.spin
''   Purpose.... 74x595 driver demo
''   Author..... Jon "JonnyMac" Williams
''               Copyright (c) 2009 Jon Williams
''               -- see below for terms of use
''   E-mail..... jon@jonmcphalen.com
''   Started.... 03 JUL 2009
''   Updated.... 03 JUL 2009 
''
'' =================================================================================================


con

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000 


con

  MS_001 = 80_000_000 / 1_000 
  

obj

  leds : "jw_595_ez"
  

pub main | pattern

  leds.init(0, 1, 2)                                            ' initialize 595 driver
  pattern := %0000_0001                                         ' initialize LED pattern

  repeat                                                        ' Cylon eyes
    repeat
      leds.out(pattern, true)
      waitcnt((MS_001 * 75) + cnt)
      pattern <<= 1
    until pattern == %1000_0000
    repeat
      leds.out(pattern, true)
      waitcnt((MS_001 * 75) + cnt)
      pattern >>= 1
    until pattern == %0000_0001     


dat

{{

  Copyright (c) 2009 Jon Williams

  Permission is hereby granted, free of charge, to any person obtaining a copy of this
  software and associated documentation files (the "Software"), to deal in the Software
  without restriction, including without limitation the rights to use, copy, modify,
  merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
  permit persons to whom the Software is furnished to do so, subject to the following
  conditions:

  The above copyright notice and this permission notice shall be included in all copies
  or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
  INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
  PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
  OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 

}}                   